-- functions

function _LazyInvites_isGroupFull(raid)
	return((C_PartyInfo.IsPartyFull() == false) or (raid == true))
end

function _LazyInvites_whisperInvite(name, isFriend, isGuildy, all, guid)
  if(all == true) then
    C_PartyInfo.InviteUnit(name)
    return;
  end
  accountInfo = C_BattleNet.GetAccountInfoByGUID(guid)
  if(accountInfo ~= nil and ((C_FriendList.IsFriend(guid) == true) or (accountInfo.isBattleTagFriend == true)) and (isFriend == true)) then
    C_PartyInfo.InviteUnit(name)
    return;
  end
  if(IsGuildMember(guid) and isGuildy) then
    C_PartyInfo.InviteUnit(name)
    return;
  end
end

function _LazyInvites_acceptSuggestInvite(guid, accountInfo, _LazyInvites_isFriend, _LazyInvites_isGuildy, _LazyInvites_all)
	if(accountInfo ~= nil) then
		if((accountInfo.isFriend and _LazyInvites_isFriend) or (accountInfo.isBattleTagFriend and _LazyInvites_isFriend)) then
			RespondToInviteConfirmation(guid, true)
			StaticPopup_Hide('GROUP_INVITE_CONFIRMATION')
		end
  end
	if(IsGuildMember(guid) == true and _LazyInvites_isGuildy == true) then
		RespondToInviteConfirmation(guid, true)
		StaticPopup_Hide('GROUP_INVITE_CONFIRMATION')
  end
  if(_LazyInvites_all == true) then
    RespondToInviteConfirmation(guid, true)
    StaticPopup_Hide('GROUP_INVITE_CONFIRMATION')
	end
end
