-- Mein frame
local GetAccountInfoByID = C_BattleNet.GetAccountInfoByID
local NLULazyInvites = CreateFrame("Frame","LazyInvites");
local enabled = true

NLULazyInvites:RegisterEvent("CHAT_MSG_WHISPER");
NLULazyInvites:RegisterEvent("CHAT_MSG_BN_WHISPER");
NLULazyInvites:RegisterEvent("CHAT_MSG_BN_WHISPER_INFORM");
NLULazyInvites:RegisterEvent("GROUP_INVITE_CONFIRMATION");
NLULazyInvites:RegisterEvent("ADDON_LOADED");
-- end of event registering events

-- /ei CMD handling
SLASH_LazyInvites1, SLASH_LazyInvites2 = '/li';
local function handler(msg, editBox)
	if (msg == 'disable') then
		enabled = false
		print("|cffe68a00LazyInvites : |r|cffffcc00LazyInvites has been :|r|cff66ff66 disabled.|r") -- "cff" followed by hex changes the color.
	elseif msg == 'enable' then
		enabled = true
		print("|cffe68a00LazyInvites : |r|cffffcc00LazyInvites has been :|r|cff66ff66 enabled.|r")
	elseif (string.sub(msg,0,7) == "keyword") then
		LazyInvitesInviteKey = string.sub(msg,9)
		print("|cffe68a00LazyInvites : |r|cffffcc00Keyword set to |r|cff66ff66"..string.sub(msg,9).."|r")
	elseif(msg == "raid") then
		if _LazyInvites_Raid == true then
			_LazyInvites_Raid = false
			print("|cffe68a00LazyInvites : |r|cffffcc00Raid Invites has been :|r|cff66ff66 disabled.|r")
		else
			_LazyInvites_Raid = true
			print("|cffe68a00LazyInvites : |r|cffffcc00Raid Invites has been :|r|cff66ff66 enabled.|r")
		end
	elseif(msg == "friends") then
		if _LazyInvites_Friends == true then
			_LazyInvites_Friends = false;
			print("|cffe68a00LazyInvites : |r|cffffcc00Invites has been|r|cff66ff66 disabled |r|cffffcc00for friends.")
		else
			_LazyInvites_Friends = true;
			print("|cffe68a00LazyInvites : |r|cffffcc00Invites has been|r|cff66ff66 enabled |r|cffffcc00for friends.")
		end
	elseif(msg == "guildies") then
		if _LazyInvites_Guildies == true then
			_LazyInvites_Guildies = false;
			print("|cffe68a00LazyInvites : |r|cffffcc00Invites has been|r|cff66ff66 disabled |r|cffffcc00for guildies.")
		elseif _LazyInvites_Guildies == false then
			_LazyInvites_Guildies = true;
			print("|cffe68a00LazyInvites : |r|cffffcc00Invites has been|r|cff66ff66 enabled |r|cffffcc00for guildies.")
		end
	elseif(msg == "all") then
		if _LazyInvites_all == true then
			_LazyInvites_all = false;
			_LazyInvites_Guildies = false;
			_LazyInvites_Friends = false;
			print("|cffe68a00LazyInvites : |r|cffffcc00Invites has been|r|cff66ff66 disabled |r|cffffcc00for anyone.")
		else
			_LazyInvites_Guildies = true;
			_LazyInvites_Friends = true;
			_LazyInvites_all = true;
			print("|cffe68a00LazyInvites : |r|cffffcc00Invites has been|r|cff66ff66 enabled |r|cffffcc00for anyone.")
		end
	else
		print("|cffe68a00LazyInvites : |r|cffffcc00LazyInvites commands!|r")
		print("|cffe68a00LazyInvites : |r|cffffcc00/li enable|r  -- toggles the addon.")
		print("|cffe68a00LazyInvites : |r|cffffcc00/li raid|r  toggles raid invites.")
		print("|cffe68a00LazyInvites : |r|cffffcc00/li friends|r  toggles friends invites.")
		print("|cffe68a00LazyInvites : |r|cffffcc00/li guildies|r toggles guildies invites.")
		print("|cffe68a00LazyInvites : |r|cffffcc00/li all|r toggles invites for anyone.")
		print("|cffe68a00LazyInvites : |r|cffffcc00/li keyword|r |cff66ff66<new invite keyword>|r -- ex :  /li keyword inv")
		local returnstring = "|cffe68a00LazyInvites : |r|cffffcc00set to invite |cff66ff66"
		if(_LazyInvites_Friends == true) then
			returnstring = returnstring.."friends  "
		end
		if(_LazyInvites_Guildies == true) then
			returnstring = returnstring.."guildies  "
		end
		if(_LazyInvites_all == true) then
			returnstring = returnstring.."strangers  "
		end
		if(_LazyInvites_Raid == true) then
			returnstring = returnstring.." :   raids"
		end
		if(returnstring == "|cffe68a00LazyInvites : |r|cffffcc00set to invite |cff66ff66") then
			returnstring = "|cffe68a00LazyInvites : |r|cffffcc00is not inviting anyone."
		end
		print(returnstring)
	end
end
SlashCmdList["LazyInvites"] = handler

local function LazyInvites(self, event, ...) -- event scanning
	if event == "ADDON_LOADED" then
		if(LazyInvitesInviteKey == nil) then
			LazyInvitesInviteKey = "inv"
		end
		if(_LazyInvites_Raid == nil) then
			_LazyInvites_Raid = false;
		end
		if(_LazyInvites_Friends == nil) then
			_LazyInvites_Friends = true;
		end
		if(_LazyInvites_Guildies == nil) then
			_LazyInvites_Guildies = true;
		end
		if(_LazyInvites_all == nil) then
			_LazyInvites_all = false;
		end

	elseif(enabled == true) then
		if(_LazyInvites_isGroupFull(_LazyInvites_Raid) == true) then -- check to make sure it wont become a raid.
			if event == "CHAT_MSG_WHISPER" then -- if whispered keyword then invite normal whisper
				local msg, name, _, _, _, _, _, _, _, _, _, guid, bnetIDAccount = ...
				if msg == LazyInvitesInviteKey then
				  	local name = Ambiguate(name, "none")
				  	_LazyInvites_whisperInvite(name, _LazyInvites_Friends, _LazyInvites_Guildies, _LazyInvites_all, guid)
		    	end
		    elseif event == "CHAT_MSG_BN_WHISPER" then -- if whispered keyword then invite bnet whisper
			  local msg, name, three, four, five, six, seven, eight, nine, ten, eleven, guid, bnetIDAccount, _ = ...
		   		if msg == LazyInvitesInviteKey then
			    	local accountInfo = GetAccountInfoByID(bnetIDAccount)
				 	if(accountInfo.gameAccountInfo and accountInfo.gameAccountInfo.characterName and accountInfo.gameAccountInfo.realmName) then
					  	charname = accountInfo.gameAccountInfo.characterName .. '-' .. accountInfo.gameAccountInfo.realmName
				  	end
			   		 _LazyInvites_whisperInvite(charname, _LazyInvites_Friends, _LazyInvites_Guildies, _LazyInvites_all, accountInfo.gameAccountInfo.playerGuid)
		    	end
		    elseif event == "GROUP_INVITE_CONFIRMATION" then -- accepts suggestion or request invites from friends or guildies.
		    confirmationType, name, guid, rolesInvalid, willConvertToRaid, level, spec, itemLevel = GetInviteConfirmationInfo(GetNextPendingInviteConfirmation());
		    --outReferredByGuid, outReferredByName, outRelationType, outIsQuickJoin, outClubId = C_PartyInfo.GetInviteReferralInfo(guid)
				accountInfo = C_BattleNet.GetAccountInfoByGUID(guid)
				_LazyInvites_acceptSuggestInvite(guid, accountInfo, _LazyInvites_Friends, _LazyInvites_Guildies, _LazyInvites_all);
		 	end
		end
	end
end
NLULazyInvites:SetScript("OnEvent",LazyInvites)
